Bug 1567288 - [abrt] __ieee80211_flush_queues: WARNING: CPU: 2 PID: 114 at drivers/net/wireless/intel/iwlwifi/dvm/../iwl-trans.h:1039 iwlagn_mac_flush+0x176/0x1a0 [iwldvm] [mac80211] [NEEDINFO]
Summary: [abrt] __ieee80211_flush_queues: WARNING: CPU: 2 PID: 114 at drivers/net/wire...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a621cdfe15148a79a060414013b...
: 1605155 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 18:06 UTC by Michael Convey
Modified: 2018-09-11 14:24 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:10:09 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (75.21 KB, text/plain)
2018-04-13 18:06 UTC, Michael Convey
no flags Details

Description Michael Convey 2018-04-13 18:06:44 UTC
Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 2 PID: 114 at drivers/net/wireless/intel/iwlwifi/dvm/../iwl-trans.h:1039 iwlagn_mac_flush+0x176/0x1a0 [iwldvm]
Modules linked in: rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ccm xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc intel_powerclamp coretemp kvm_intel snd_hda_codec_conexant kvm irqbypass btusb crct10dif_pclmul snd_hda_codec_hdmi crc32_pclmul ghash_clmulni_intel btrtl snd_hda_codec_generic btbcm snd_hda_intel btintel iTCO_wdt iTCO_vendor_support intel_cstate bluetooth intel_uncore snd_hda_codec snd_hda_core
 mei_wdt ecdh_generic arc4 thinkpad_acpi iwldvm snd_hwdep mac80211 iwlwifi snd_seq snd_seq_device joydev cfg80211 snd_pcm rfkill wmi_bmof intel_ips snd_timer snd soundcore shpchp tpm_tis tpm_tis_core lpc_ich tpm i2c_i801 mei_me mei acpi_cpufreq nouveau hid_logitech_hidpp mxm_wmi i2c_algo_bit drm_kms_helper crc32c_intel ttm e1000e serio_raw drm sdhci_pci firewire_ohci sdhci firewire_core ptp mmc_core ata_generic pata_acpi crc_itu_t pps_core hid_logitech_dj video wmi
CPU: 2 PID: 114 Comm: kworker/u8:4 Not tainted 4.15.15-300.fc27.x86_64 #1
Hardware name: LENOVO 2537CTO/2537CTO, BIOS 6IET85WW (1.45 ) 02/14/2013
Workqueue: phy0 ieee80211_iface_work [mac80211]
RIP: 0010:iwlagn_mac_flush+0x176/0x1a0 [iwldvm]
RSP: 0018:ffffa0088100fc48 EFLAGS: 00010297
RAX: ffffffffc089d870 RBX: ffff8e62b0679520 RCX: ffffffffc09d87d0
RDX: 0000000000000000 RSI: 0000000080000000 RDI: ffff8e62af890028
RBP: 00000000000ffdef R08: ffffffffc09e1758 R09: 0000000000000000
R10: ffffa0088100fc90 R11: 000000000000000f R12: ffff8e62b0679560
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff8e62bbd00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f5b7cafc9d0 CR3: 000000022ee92000 CR4: 00000000000006e0
Call Trace:
 __ieee80211_flush_queues+0xb3/0x1a0 [mac80211]
 __ieee80211_recalc_idle+0x9e/0x110 [mac80211]
 ieee80211_recalc_idle+0x10/0x30 [mac80211]
 ieee80211_free_chanctx+0xa3/0xd0 [mac80211]
 __ieee80211_vif_release_channel+0xf1/0x140 [mac80211]
 ieee80211_vif_release_channel+0x3a/0x50 [mac80211]
 ieee80211_set_disassoc+0x27d/0x3c0 [mac80211]
 ieee80211_sta_connection_lost.constprop.23+0x36/0x70 [mac80211]
 ieee80211_sta_work+0x269/0x14e0 [mac80211]
 ? sched_clock+0x5/0x10
 ? sched_clock+0x5/0x10
 ? sched_clock_cpu+0xc/0xb0
 ? pick_next_task_fair+0x4db/0x5e0
 ? __switch_to+0xa2/0x4b0
 ? skb_dequeue+0x52/0x60
 ? process_one_work+0x175/0x390
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 48 c7 c1 d0 87 9d c0 31 d2 be 00 00 80 00 e8 22 03 ed ff eb b2 48 c7 c1 a7 e2 9d c0 31 d2 31 f6 e8 80 02 ed ff eb a0 0f 0b eb 9c <0f> 0b 48 8b 7f 30 49 c7 c0 b0 87 9d c0 48 c7 c1 bb e2 9d c0 31

Comment 1 Michael Convey 2018-04-13 18:06:59 UTC
Created attachment 1421498 [details]
File: dmesg

Comment 2 netb2c 2018-07-20 10:05:11 UTC
*** Bug 1605155 has been marked as a duplicate of this bug. ***

Comment 3 Justin M. Forbes 2018-07-23 15:15:14 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2018-08-29 15:10:09 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.